﻿Imports Infragistics.Win.UltraWinDock

Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim groupPane As New DockableGroupPane()
        Dim areaPane As New DockAreaPane(DockedLocation.DockedLeft)
        Dim controlPane1 As New DockableControlPane()
        Dim controlPane2 As New DockableControlPane()
        Dim controlPane3 As New DockableControlPane()

        controlPane1.Control = UltraFormattedTextEditor1
        controlPane1.TextTab = "Text Editor 1"
        UltraFormattedTextEditor1.Appearance.BackColor = Color.Blue
        controlPane2.Control = UltraFormattedTextEditor2
        UltraFormattedTextEditor2.Appearance.BackColor = Color.Red
        controlPane2.TextTab = "Text Editor 2"
        controlPane3.Control = UltraFormattedTextEditor3
        controlPane3.TextTab = "Text Editor 3"

        groupPane.ChildPaneStyle = ChildPaneStyle.TabGroup
        groupPane.Panes.Add(controlPane1)
        groupPane.Panes.Add(controlPane2)
        groupPane.Panes.Add(controlPane3)
        areaPane.Panes.Add(groupPane)

        Me.UltraDockManager1.DockAreas.Add(areaPane)

    End Sub


    Private Sub ultraDockManager1_PaneActivate(sender As Object, e As ControlPaneEventArgs) Handles UltraDockManager1.PaneActivate
        If e.Pane.Control Is UltraFormattedTextEditor2 Then
            UltraDockManager1.PaneFromControl(UltraFormattedTextEditor1).Activate()
        End If
    End Sub
End Class
